### Function

# Dex output_stream_write

#### Declaration [src]

    DexFuture*
    dex_output_stream_write (
      GOutputStream* self,
      gconstpointer buffer,
      gsize count,
      int io_priority
    )

#### Description

No description available.

#### Parameters

`self`

  Type: `GOutputStream`

  A `GOutputStream`.

  The data is owned by the caller of the function.

`buffer`

  Type: An array of `guint8`

  No description available.

  The length of the array is specified in the `count` argument.

`count`

  Type: `gsize`

  Size in bytes to write to the output stream.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to the number of bytes written as a `gint64`.

The caller of the function takes ownership of the data, and is responsible for freeing it.